<?php
# Copyright(C) 2004-2007 INL
# Written by Eric Leblond <regit@inl.fr>
#            Vincent Deffontaines <gryzor@inl.fr>
#            Jean Gillaux <jean@inl.fr>
#            Damien Boucard <damien.boucard AT inl.fr>
#
# $Id$
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# Get HTTP ($_REQUEST) value
# Return $default (null) if the variable doesn't exist
function getHttp($name, $default=null)
{
    if (!array_key_exists($name, $_REQUEST))
        return $default;
    return $_REQUEST[$name];
}


# Get HTTP checkbox value
# Return $default (false) if the variable doesn't exist
function getHttpCheckbox($name, $default=false)
{
    $value = getHttp($name, null);
    if (is_null($value))
        return $default;
    return ($value == 'on');
}

# Get file ($_FILES) value
# Return $default (null) if the file doesn't exist
function getFile($key, $default=null)
{
    if (!array_key_exists($key, $_FILES))
        return $default;
    $file = $_FILES[$key];
    if (!$file['name']) {
        return $default;
    }
    if (!$file['tmp_name']) {
        return $default;
    }
    return $file;
}

?>
