<?php
#
# Copyright(C) 2004-2007 INL
# Written by Victor Stinner <victor.stinner AT inl.fr>
#
# $Id$
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# Create PHP session
session_start();

# Get session ($_SESSION) value and unserialize it
# Return $default (null) if the variable doesn't exist
function getSession($name, $unserialize=true, $default=null)
{
    if (!array_key_exists($name, $_SESSION))
        return $default;
    $value = $_SESSION[$name];
    if ($unserialize)
        $value = unserialize($value);
    return $value;
}

function resetSession()
{
    $lang = getSession('lang', false);
    $level = getSession('debug_level', false);
    session_unset();
    if ($lang)
        $_SESSION['lang'] = $lang;
    if ($level)
        $_SESSION['debug_level'] = $level;
}

?>
